> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Report Now with Parameters by View ID



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml post /api/content/v1/reportschedules/views/{viewId}/sendNowWithParams
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/views/{viewId}/sendNowWithParams:
    post:
      tags:
        - Scheduled Reports API
      summary: Send Report Now with Parameters by View ID
      operationId: sendReportNowWithParamsByViewId
      parameters:
        - in: path
          name: viewId
          required: true
          schema:
            type: integer
          description: ID of the view
        - in: query
          name: attachmentInclude
          schema:
            type: boolean
          description: Include attachments
      requestBody:
        description: ResourceSendNowInfo object
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResourceSendNowInfo'
            examples:
              example:
                value:
                  recipients:
                    - type: EMAIL
                      value: user@example.com
                  alertActionId: 789012
                  emailParams:
                    param1: value1
      responses:
        '202':
          description: Accepted
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  schemas:
    ResourceSendNowInfo:
      type: object
      properties:
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/ReportScheduleRecipient'
        alertActionId:
          type: integer
        emailParams:
          type: object
          additionalProperties: true
    ReportScheduleRecipient:
      type: object
      properties:
        type:
          type: string
          enum:
            - EMAIL
        value:
          type: string
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````